OpenVDB 7.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
ContiguousOp< ValueT, PointWiseOp > Struct Template Reference

a wrapper struct used to avoid unnecessary computation of memory access from `Coord` when all offsets are guaranteed to be within the dense grid. More...

`#include <DenseSparseTools.h>`

## Public Types
using | DenseT = Dense< ValueT, openvdb::tools::LayoutZYX >

## Public Member Functions
| ContiguousOp (const PointWiseOp &op)
void | transform (DenseT &dense, openvdb::math::Coord &ijk, size_t size) const

## Public Attributes
const PointWiseOp | mOp

## Detailed Description

### template<typename ValueT, typename PointWiseOp>
struct openvdb::v7_0::tools::ContiguousOp< ValueT, PointWiseOp >

a wrapper struct used to avoid unnecessary computation of memory access from `Coord` when all offsets are guaranteed to be within the dense grid.

## Member Typedef Documentation

## ◆ DenseT

using DenseT = Dense<ValueT, openvdb::tools::LayoutZYX>

## Constructor & Destructor Documentation

## ◆ ContiguousOp()

ContiguousOp | ( | const PointWiseOp & | op | ) |
| inline

## Member Function Documentation

## ◆ transform()

void transform | ( | DenseT & | dense,
|  | openvdb::math::Coord & | ijk,
|  | size_t | size
| ) |  | const
| inline

## Member Data Documentation

## ◆ mOp

const PointWiseOp mOp

The documentation for this struct was generated from the following file:

- DenseSparseTools.h